---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 5c260343-174e-5a49-b91d-ef73fa1a7b54
      tier: AATSR_CMP_MONTH
      value: 0.05207693949341774
    brdf:
      alpha_1:
        band_1: 0.15535305398678018
        band_11: 0.18748391870198894
        band_12: 0.030878545947063678
        band_2: 0.15535305398678018
        band_3: 0.3761144969523389
        band_4: 0.16452650432631147
        band_5: 0.16452650432631147
        band_6: 0.16452650432631147
        band_7: 0.7582141632837435
        band_8: 0.7582141632837435
        band_8a: 0.7582141632837435
      alpha_2:
        band_1: 0.23746902075788104
        band_11: 0.189409389538276
        band_12: 0.2540744563432816
        band_2: 0.23746902075788104
        band_3: 0.20418229838504817
        band_4: 0.24298696632227645
        band_5: 0.24298696632227645
        band_6: 0.24298696632227645
        band_7: 0.07762597398960351
        band_8: 0.07762597398960351
        band_8a: 0.07762597398960351
      id:
      - ac295439-207f-5f6d-ae3f-2e00e0c3f80e
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c63b9e62-afc8-5099-8eb0-17b9439118c4
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - cd87d2b9-ca8c-5276-9d7d-328265d066a7
      tier: DEFINITIVE
      value: 2.2700000762939454
  id: f53226d8-e01f-4d6e-8459-d67fdf0c6864
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1885.9393344422276
      BAND-11: 231.9431557940613
      BAND-12: 81.15064699951074
      BAND-2: 1936.514438730378
      BAND-3: 1814.6856660971068
      BAND-4: 1481.2993459469321
      BAND-5: 1367.6538140857592
      BAND-6: 1250.4398063853919
      BAND-7: 1149.3738467789253
      BAND-8: 1010.5957743568289
      BAND-8A: 921.2767129448304
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2021-07-29 01:11:51.094596Z
    atime: 2022-05-26 11:48:44Z
    ctime: 2021-08-02 20:05:02Z
    mtime: 2021-08-02 20:04:55Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20210729T010729_N0301_R045_T53KQB_20210729T021226.zip
  system_information:
    hostname: gadi-cpu-clx-2916.gadi.nci.org.au
    runtime_id: cba8c1ce-dce9-11ec-88f3-00000082fe80
    time_processed: 2022-05-26 11:48:44.392082Z
    uname: 'Linux gadi-cpu-clx-2916.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 18.0
    green: 5041.0
    red: 6.0
    teal: 274.0
    yellow: 6.0
  error_message: no errors
  final_qa_count: 4636
  granule: S2B_OPER_MSI_L1C_TL_VGS4_20210729T021226_A022951_T53KQB_N03.01
  ref_date: '2014-07-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/072/LC81000722014182LGN00_B6.TIF
  residual:
    abs:
      x: 0.26
      xy: 0.28
      y: 0.11
    abs_iterative_mean:
      x: 0.25
      xy: 0.26
      y: 0.09
    cep90: 0.39
    iterative_mean:
      x: 0.25
      xy: 0.25
      y: -0.04
    iterative_stddev:
      x: 0.1
      xy: 0.14
      y: 0.1
    mean:
      x: 0.25
      xy: 0.25
      y: -0.05
    stddev:
      x: 0.22
      xy: 0.35
      y: 0.26
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 98.29305476756879
    cloud: 5.972110245155126e-05
    cloud_shadow: 5.972110245155126e-05
    snow: 0.005155921844983925
    water: 1.701669868381326
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 100.0
    cloud: 0.0
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
